<?php

class fieldShare extends cmsFormField {

    public $title       = 'Блок "Поделиться"';
    public $sql         = 'text';
    public $filter_type = false;
    public $allow_index = false;

    public function getOptions(){
        return array(
            new fieldString('networks', array(
                'title'   => 'Социальные сети для показа, через запятую',
                'default' => 'vkontakte,facebook,odnoklassniki,telegram,twitter,whatsapp',
                'hint' => 'Доступные значения: blogger, collections, delicious, digg, evernote, facebook, messenger, linkedin, lj, moimir, odnoklassniki, pinterest, pocket, qzone, reddit, renren, sinaWeibo, skype, surfingbird, telegram, tencentWeibo, tumblr, twitter, viber, vkontakte, whatsapp'
            )),
            new fieldList('shape', array(
                'title'   => 'Форма кнопок',
                'items' => array(
                    '' => '',
                    'round' => 'Круглая',
                    'normal' => 'Прямоугольная',
                )
            )),
            new fieldList('style', array(
                'title'   => 'Стиль иконок',
                'items' => array(
                    'blackwhite' => 'Белые на черном фоне',
                    'whiteblack' => 'Черные на белом фоне',
                    'normal' => 'Цветные'
                )
            )),
            new fieldList('size', array(
                'title'   => 'Размер иконок',
                'items' => array(
                    '' => '',
                    'l' => 'Большой',
                    'm' => 'Средний',
                    's' => 'Маленький'
                )
            )),
            new fieldList('direction', array(
                'title'   => 'Направление списка иконок',
                'items' => array(
                    '' => '',
                    'horizontal' => 'Горизонтельное',
                    'vertical' => 'Вертикальное',
                )
            )),
            new fieldNumber('limits', array(
                'title'   => 'Количество соцсетей, отображаемых в виде кнопок',
                'hint' => 'Не вошедшие в лимит соцсети будут отображаться в pop-up по нажатию кнопки. <strong>Если нужно выводить тольку иконку раскрывающую pop-up со списокм - оставьте это поле пустым</strong>',
                'units' => 'шт'
            )),
            new fieldList('moretype', array(
                'title'   => 'Вид кнопки открытия pop-up',
                'items' => array(
                    '' => '',
                    'long' => 'С надписью',
                    'short' => 'Без надписи',
                )
            )),
            new fieldList('pdirection', array(
                'title'   => 'Направление открытия pop-up',
                'items' => array(
                    '' => '',
                    'bottom' => 'Вниз',
                    'top' => 'Вверх',
                    'auto' => 'Авто'
                )
            )),
            new fieldList('copy', array(
                'title'   => 'Позиция кнопки "Копировать ссылку"',
                'items' => array(
                    'first' => 'Кнопка вверху списка в pop-up',
                    'last' => 'Кнопка внизу списка в pop-up',
                    'extraItem' => 'Кнопка в основном списке',
                    'hidden' => 'Скрывать кнопку'
                ),
                'default' => 'hidden'
            )),
            new fieldList('lang', array(
                'title'   => 'Язык блока',
                'items' => array(
                    '' => '',
                    'az' => 'Азербайджанский',
                    'be' => 'Белорусский',
                    'en' => 'Английский',
                    'hy' => 'Армянский',
                    'ka' => 'Грузинский',
                    'kk' => 'Казахский',
                    'ro' => 'Румынский',
                    'ru' => 'Русский',
                    'tr' => 'Турецкий',
                    'tt' => 'Татарский',
                    'uk' => 'Украинский',
                    'uz' => 'Узбекский'
                )
            )),
            new fieldCheckbox('curtain', array(
                'title'   => 'На мобильных устройствах вместо pop-up выводить окно, похожее на нативный инструмент "Поделиться"',
                'default' => false
            )),
        );
    }

    public function parse($value){

        if ($this->getOption('curtain') == true) {
            $curtain = 'data-curtain';
        } else { $curtain = ''; }

        $networks = (empty($this->getOption('networks')) ? 'vkontakte' : $this->getOption('networks'));
        $shape = (empty($this->getOption('shape')) ? 'round' : $this->getOption('shape'));
        $style = (empty($this->getOption('style')) ? 'normal' : $this->getOption('style'));
        $size  = (empty($this->getOption('size')) ? 'm' : $this->getOption('size'));
        $direction  = (empty($this->getOption('direction')) ? 'horizontal' : $this->getOption('direction'));
        $limits  = (empty($this->getOption('limits')) ? '' : $this->getOption('limits'));
        $moretype  = (empty($this->getOption('moretype')) ? 'short' : $this->getOption('moretype'));
        $pdirection  = (empty($this->getOption('pdirection')) ? 'auto' : $this->getOption('pdirection'));
        $copy1  = (empty($this->getOption('copy')) ? 'last' : $this->getOption('copy'));
        $lang  = (empty($this->getOption('lang')) ? 'ru' : $this->getOption('lang'));
        $css = 'mergin-top: 10px; margin-bottom: 10px;';

        return '<script src="https://yastatic.net/share2/share.js"></script><div style = "'.$css.'" class="ya-share2" '.$curtain.' data-copy="'.$copy1.'" data-services="'.$networks.'" data-shape="'.$shape.'" data-color-scheme="'.$style.'" data-size="'.$size.'" data-direction="'.$direction.'" data-limit="'.$limits.'" data-more-button-type="'.$moretype.'" data-popup-direction="'.$pdirection.'" data-lang="'.$lang.'"></div>';
        }

}